#ifndef PREFERENCESDIALOG_H
#define PREFERENCESDIALOG_H
#include "preferencesdialog_base.h"

class PreferencesDialog : public PreferencesDialog_base
{ 
    Q_OBJECT
  public:
    PreferencesDialog( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~PreferencesDialog();

  public:
    void readConfig();
    void writeConfig();

  protected slots:
    void setDefaults();
    void ok();
    void cancel();
};

#endif // PREFERENCESDIALOG_H
